Apache C++ Standard Library Reference Guide

## <sstream>

Library: Input/output

    Header

- Local Index
- Summary
- Synopsis
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

The header `<sstream>` is part of the Input/output library of the C++ Standard Library. It defines the class templates basic_stringbuf, basic_istringstream, basic_ostringstream, and basic_stringstream, and the types stringbuf, wstringbuf, istringstream, wistringstream, ostringstream, wostringstream, stringstream, and wstringstream as aliases for specializations of the class template on `char` and `wchar_t`.

### Synopsis

    namespace std {
      template <class charT, class traits = char_traits<charT>,
                class Allocator = allocator<charT> >
      class basic_stringbuf;

      typedef basic_stringbuf<char> stringbuf;
      typedef basic_stringbuf<wchar_t> wstringbuf;

      template<class charT, class traits = char_traits<charT>,
               class Allocator = allocator<charT> >
      class basic_istringstream;

      typedef basic_istringstream<char> istringstream;
      typedef basic_istringstream<wchar_t> wistringstream;

      template <class charT, class traits = char_traits<charT>,
                class Allocator = allocator<charT> >
      class basic_ostringstream;
      typedef basic_ostringstream<char> ostringstream;
      typedef basic_ostringstream<wchar_t> wostringstream;

      template <class charT, class traits = char_traits<charT>,
                class Allocator = allocator<charT> >
      class basic_stringstream;
      typedef basic_stringstream<char> stringstream;
      typedef basic_stringstream<wchar_t> wstringstream;
    }

### See Also

basic_stringbuf, basic_istringstream, basic_ostringstream, basic_stringstream

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 27.7